//
//  TrackpadScreenEdgePanScrollGestureRecognizer.swift
//  Tusker
//
//  Created by Shadowfacts on 3/25/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import UIKit

class TrackpadScrollGestureRecognizer: UIPanGestureRecognizer {

    override init(target: Any?, action: Selector?) {
        super.init(target: target, action: action)
        
        self.allowedScrollTypesMask = .all
    }
    
    override func shouldReceive(_ event: UIEvent) -> Bool {
        return event.type == .scroll
    }
    
}
